package com.m2pool.chat.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.m2pool.chat.entity.ChatRoom;
import com.m2pool.chat.vo.CharRoomVo;
import com.m2pool.common.core.web.Result.AjaxResult;
import com.m2pool.common.core.web.page.TableDataInfo;

public interface ChatRoomService extends IService<ChatRoom> {

    /**
     * 查询客服的聊天室列表
     * @return
     */
    TableDataInfo findRoomList();

    /**
     * 根据当前用户邮箱查询聊天室
     * @return
     */
    AjaxResult findRoomByUserid(String email);

    /**
     * 修改聊天室信息
     * @param charRoomVo
     * @return
     */
    AjaxResult updateRoom( CharRoomVo charRoomVo);

}